# RestapiApi

All URIs are relative to *https://rts.at-ls.com/atrts*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delFileByToken**](RestapiApi.md#delFileByToken) | **POST** /delFileByToken | delFileByToken
[**getFileByToken**](RestapiApi.md#getFileByToken) | **POST** /getFileByToken | getFileByToken
[**getList**](RestapiApi.md#getList) | **GET** /getList | getList
[**getgetFileByToken**](RestapiApi.md#getgetFileByToken) | **GET** /getFileByToken | getFileByToken
[**ping**](RestapiApi.md#ping) | **GET** /ping | ping
[**translateAsynchronous**](RestapiApi.md#translateAsynchronous) | **POST** /translateAsynchronous | translateAsynchronous
[**translateSynchronous**](RestapiApi.md#translateSynchronous) | **POST** /translateSynchronous | translateSynchronous

<a name="delFileByToken"></a>
# **delFileByToken**
> OutFile delFileByToken(body)

delFileByToken

Method exclusively designed to cancel an asynchronous translation request via a unique token (generated in the asynchronous translation request). A request can only be cancelled if it has not started to be processed. The status key indicates the **status** of the translation. Possible values for asynchronous translations are: - 10: Under review - 20: Ready and to be delivered - 30: Delivered - 40: Deleted - 50: Delivery expired - 90: Document entry error - 100: Processing error  The **filename** key indicates the name of the file, the base64 key indicates the content of the file in base64 if the request is in status 30 (delivered) and the wordcount key indicates the number of words in the file translated. If the document has already been deleted, the errorCode field shall contain the value 404. If the document cannot be deleted because the translation has already been started, the errorCode field will contain the value 403. 

### Example
```java
// Import classes:
//import com.atls.api.invoker.ApiClient;
//import com.atls.api.invoker.ApiException;
//import com.atls.api.invoker.Configuration;
//import com.atls.api.invoker.auth.*;
//import com.atls.api.RestapiApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: ApiKeyAuth
ApiKeyAuth ApiKeyAuth = (ApiKeyAuth) defaultClient.getAuthentication("ApiKeyAuth");
ApiKeyAuth.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.setApiKeyPrefix("Token");
// Configure HTTP basic authorization: BasicAuth
HttpBasicAuth BasicAuth = (HttpBasicAuth) defaultClient.getAuthentication("BasicAuth");
BasicAuth.setUsername("YOUR USERNAME");
BasicAuth.setPassword("YOUR PASSWORD");

RestapiApi apiInstance = new RestapiApi();
Object body = null; // Object | Document information to be deleted
try {
    OutFile result = apiInstance.delFileByToken(body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling RestapiApi#delFileByToken");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| Document information to be deleted |

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)[BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="getFileByToken"></a>
# **getFileByToken**
> OutFile getFileByToken(body)

getFileByToken

Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). The status key indicates the translation status. The possible values for asynchronous translations are: - 10: Under review - 20: Ready and pending delivery - 30: Delivered - 40: Deleted - 50: Expired delivery - 90: Documental entry error - 100: Processing error  The **filename** key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file. 

### Example
```java
// Import classes:
//import com.atls.api.invoker.ApiClient;
//import com.atls.api.invoker.ApiException;
//import com.atls.api.invoker.Configuration;
//import com.atls.api.invoker.auth.*;
//import com.atls.api.RestapiApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: ApiKeyAuth
ApiKeyAuth ApiKeyAuth = (ApiKeyAuth) defaultClient.getAuthentication("ApiKeyAuth");
ApiKeyAuth.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.setApiKeyPrefix("Token");
// Configure HTTP basic authorization: BasicAuth
HttpBasicAuth BasicAuth = (HttpBasicAuth) defaultClient.getAuthentication("BasicAuth");
BasicAuth.setUsername("YOUR USERNAME");
BasicAuth.setPassword("YOUR PASSWORD");

RestapiApi apiInstance = new RestapiApi();
Object body = null; // Object | Example of a revised file request
try {
    OutFile result = apiInstance.getFileByToken(body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling RestapiApi#getFileByToken");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| Example of a revised file request |

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)[BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="getList"></a>
# **getList**
> OutList getList(projectid, sourcelang, targetlang, datecutoff, options)

getList

Request designed to check the status of all requested translation requests, whether synchronous or asynchronous. The results can be filtered using the date of sending the translation order requests, in Zulu format. 

### Example
```java
// Import classes:
//import com.atls.api.invoker.ApiClient;
//import com.atls.api.invoker.ApiException;
//import com.atls.api.invoker.Configuration;
//import com.atls.api.invoker.auth.*;
//import com.atls.api.RestapiApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: ApiKeyAuth
ApiKeyAuth ApiKeyAuth = (ApiKeyAuth) defaultClient.getAuthentication("ApiKeyAuth");
ApiKeyAuth.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.setApiKeyPrefix("Token");
// Configure HTTP basic authorization: BasicAuth
HttpBasicAuth BasicAuth = (HttpBasicAuth) defaultClient.getAuthentication("BasicAuth");
BasicAuth.setUsername("YOUR USERNAME");
BasicAuth.setPassword("YOUR PASSWORD");

RestapiApi apiInstance = new RestapiApi();
Integer projectid = 56; // Integer | Translation project identifier.
String sourcelang = "sourcelang_example"; // String | Source language code in ISO-639-3 format.
String targetlang = "targetlang_example"; // String | Target language code in ISO-639-3 format.
String datecutoff = "datecutoff_example"; // String | Cut-off date, in the following format: YYYYY-MM-DDTHH:MI:SSZ (UTC or Zulu time).
String options = "options_example"; // String | JSON auxiliary options.
try {
    OutList result = apiInstance.getList(projectid, sourcelang, targetlang, datecutoff, options);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling RestapiApi#getList");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **projectid** | **Integer**| Translation project identifier. |
 **sourcelang** | **String**| Source language code in ISO-639-3 format. |
 **targetlang** | **String**| Target language code in ISO-639-3 format. |
 **datecutoff** | **String**| Cut-off date, in the following format: YYYYY-MM-DDTHH:MI:SSZ (UTC or Zulu time). |
 **options** | **String**| JSON auxiliary options. | [optional]

### Return type

[**OutList**](OutList.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)[BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getgetFileByToken"></a>
# **getgetFileByToken**
> OutFile getgetFileByToken(projectid, token, options)

getFileByToken

Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). To ensure that the operation of this method is correct in the event of a GET type request, the token must be encoded in URL format. The status key indicates the translation status. The possible values for asynchronous translations are: - 10: Under review - 20: Ready and pending delivery - 30: Delivered - 40: Deleted - 50: Expired delivery - 90: Documental entry error - 100: Processing error  The &lt;b&gt;filename&lt;/b&gt; key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file. 

### Example
```java
// Import classes:
//import com.atls.api.invoker.ApiClient;
//import com.atls.api.invoker.ApiException;
//import com.atls.api.invoker.Configuration;
//import com.atls.api.invoker.auth.*;
//import com.atls.api.RestapiApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: ApiKeyAuth
ApiKeyAuth ApiKeyAuth = (ApiKeyAuth) defaultClient.getAuthentication("ApiKeyAuth");
ApiKeyAuth.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.setApiKeyPrefix("Token");
// Configure HTTP basic authorization: BasicAuth
HttpBasicAuth BasicAuth = (HttpBasicAuth) defaultClient.getAuthentication("BasicAuth");
BasicAuth.setUsername("YOUR USERNAME");
BasicAuth.setPassword("YOUR PASSWORD");

RestapiApi apiInstance = new RestapiApi();
Integer projectid = 56; // Integer | Translation project identifier.
String token = "token_example"; // String | Token resulting from the asynchronous translation request.
String options = "options_example"; // String | JSON auxiliary options.
try {
    OutFile result = apiInstance.getgetFileByToken(projectid, token, options);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling RestapiApi#getgetFileByToken");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **projectid** | **Integer**| Translation project identifier. |
 **token** | **String**| Token resulting from the asynchronous translation request. |
 **options** | **String**| JSON auxiliary options. | [optional]

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)[BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="ping"></a>
# **ping**
> InlineResponse200 ping()

ping

Checking that the service is working properly. This method does NOT REQUIRE AUTHENTICATION. 

### Example
```java
// Import classes:
//import com.atls.api.invoker.ApiException;
//import com.atls.api.RestapiApi;


RestapiApi apiInstance = new RestapiApi();
try {
    InlineResponse200 result = apiInstance.ping();
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling RestapiApi#ping");
    e.printStackTrace();
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="translateAsynchronous"></a>
# **translateAsynchronous**
> OutToken translateAsynchronous(body)

translateAsynchronous

An asynchronous translation request is generated, i.e. a review of a translation completed by a professional from the ATLS Global S.L. LSP division. 

### Example
```java
// Import classes:
//import com.atls.api.invoker.ApiClient;
//import com.atls.api.invoker.ApiException;
//import com.atls.api.invoker.Configuration;
//import com.atls.api.invoker.auth.*;
//import com.atls.api.RestapiApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: ApiKeyAuth
ApiKeyAuth ApiKeyAuth = (ApiKeyAuth) defaultClient.getAuthentication("ApiKeyAuth");
ApiKeyAuth.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.setApiKeyPrefix("Token");
// Configure HTTP basic authorization: BasicAuth
HttpBasicAuth BasicAuth = (HttpBasicAuth) defaultClient.getAuthentication("BasicAuth");
BasicAuth.setUsername("YOUR USERNAME");
BasicAuth.setPassword("YOUR PASSWORD");

RestapiApi apiInstance = new RestapiApi();
Object body = null; // Object | Example of a revised translation
try {
    OutToken result = apiInstance.translateAsynchronous(body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling RestapiApi#translateAsynchronous");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| Example of a revised translation |

### Return type

[**OutToken**](OutToken.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)[BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="translateSynchronous"></a>
# **translateSynchronous**
> OutFile translateSynchronous(body)

translateSynchronous

Synchronous (non-human automatic translation) translation order request. After the request, the service returns the file translated into the specified target language. 

### Example
```java
// Import classes:
//import com.atls.api.invoker.ApiClient;
//import com.atls.api.invoker.ApiException;
//import com.atls.api.invoker.Configuration;
//import com.atls.api.invoker.auth.*;
//import com.atls.api.RestapiApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: ApiKeyAuth
ApiKeyAuth ApiKeyAuth = (ApiKeyAuth) defaultClient.getAuthentication("ApiKeyAuth");
ApiKeyAuth.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiKeyAuth.setApiKeyPrefix("Token");
// Configure HTTP basic authorization: BasicAuth
HttpBasicAuth BasicAuth = (HttpBasicAuth) defaultClient.getAuthentication("BasicAuth");
BasicAuth.setUsername("YOUR USERNAME");
BasicAuth.setPassword("YOUR PASSWORD");

RestapiApi apiInstance = new RestapiApi();
Object body = null; // Object | Example of synchronous machine translation
try {
    OutFile result = apiInstance.translateSynchronous(body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling RestapiApi#translateSynchronous");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| Example of synchronous machine translation |

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)[BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

