package com.atls.api;

import com.atls.api.invoker.ApiClient;

import com.atls.api.model.ErrorResponse;
import com.atls.api.model.InlineResponse200;
import com.atls.api.model.InlineResponse401;
import com.atls.api.model.InlineResponse405;
import com.atls.api.model.InlineResponse503;
import com.atls.api.model.OutFile;
import com.atls.api.model.OutList;
import com.atls.api.model.OutToken;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestClientException;
import org.springframework.web.client.HttpClientErrorException;
import org.springframework.web.util.UriComponentsBuilder;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2024-06-19T08:12:37.917116Z[Etc/UTC]")
@Component("com.atls.api.RestapiApi")
public class RestapiApi {
    private ApiClient apiClient;

    public RestapiApi() {
        this(new ApiClient());
    }

    @Autowired
    public RestapiApi(ApiClient apiClient) {
        this.apiClient = apiClient;
    }

    public ApiClient getApiClient() {
        return apiClient;
    }

    public void setApiClient(ApiClient apiClient) {
        this.apiClient = apiClient;
    }

    /**
     * delFileByToken
     * Method exclusively designed to cancel an asynchronous translation request via a unique token (generated in the asynchronous translation request). A request can only be cancelled if it has not started to be processed. The status key indicates the **status** of the translation. Possible values for asynchronous translations are: - 10: Under review - 20: Ready and to be delivered - 30: Delivered - 40: Deleted - 50: Delivery expired - 90: Document entry error - 100: Processing error  The **filename** key indicates the name of the file, the base64 key indicates the content of the file in base64 if the request is in status 30 (delivered) and the wordcount key indicates the number of words in the file translated. If the document has already been deleted, the errorCode field shall contain the value 404. If the document cannot be deleted because the translation has already been started, the errorCode field will contain the value 403. 
     * <p><b>200</b> - File return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param body Document information to be deleted (required)
     * @return OutFile
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public OutFile delFileByToken(Object body) throws RestClientException {
        return delFileByTokenWithHttpInfo(body).getBody();
    }

    /**
     * delFileByToken
     * Method exclusively designed to cancel an asynchronous translation request via a unique token (generated in the asynchronous translation request). A request can only be cancelled if it has not started to be processed. The status key indicates the **status** of the translation. Possible values for asynchronous translations are: - 10: Under review - 20: Ready and to be delivered - 30: Delivered - 40: Deleted - 50: Delivery expired - 90: Document entry error - 100: Processing error  The **filename** key indicates the name of the file, the base64 key indicates the content of the file in base64 if the request is in status 30 (delivered) and the wordcount key indicates the number of words in the file translated. If the document has already been deleted, the errorCode field shall contain the value 404. If the document cannot be deleted because the translation has already been started, the errorCode field will contain the value 403. 
     * <p><b>200</b> - File return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param body Document information to be deleted (required)
     * @return ResponseEntity&lt;OutFile&gt;
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public ResponseEntity<OutFile> delFileByTokenWithHttpInfo(Object body) throws RestClientException {
        Object postBody = body;
        // verify the required parameter 'body' is set
        if (body == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'body' when calling delFileByToken");
        }
        String path = UriComponentsBuilder.fromPath("/delFileByToken").build().toUriString();
        
        final MultiValueMap<String, String> queryParams = new LinkedMultiValueMap<String, String>();
        final HttpHeaders headerParams = new HttpHeaders();
        final MultiValueMap<String, Object> formParams = new LinkedMultiValueMap<String, Object>();

        final String[] accepts = { 
            "application/json"
         };
        final List<MediaType> accept = apiClient.selectHeaderAccept(accepts);
        final String[] contentTypes = { 
            "application/json"
         };
        final MediaType contentType = apiClient.selectHeaderContentType(contentTypes);

        String[] authNames = new String[] { "ApiKeyAuth", "BasicAuth" };

        ParameterizedTypeReference<OutFile> returnType = new ParameterizedTypeReference<OutFile>() {};
        return apiClient.invokeAPI(path, HttpMethod.POST, queryParams, postBody, headerParams, formParams, accept, contentType, authNames, returnType);
    }
    /**
     * getFileByToken
     * Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). The status key indicates the translation status. The possible values for asynchronous translations are: - 10: Under review - 20: Ready and pending delivery - 30: Delivered - 40: Deleted - 50: Expired delivery - 90: Documental entry error - 100: Processing error  The **filename** key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file. 
     * <p><b>200</b> - File return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>405</b> - Method Not Allowed
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param body Example of a revised file request (required)
     * @return OutFile
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public OutFile getFileByToken(Object body) throws RestClientException {
        return getFileByTokenWithHttpInfo(body).getBody();
    }

    /**
     * getFileByToken
     * Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). The status key indicates the translation status. The possible values for asynchronous translations are: - 10: Under review - 20: Ready and pending delivery - 30: Delivered - 40: Deleted - 50: Expired delivery - 90: Documental entry error - 100: Processing error  The **filename** key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file. 
     * <p><b>200</b> - File return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>405</b> - Method Not Allowed
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param body Example of a revised file request (required)
     * @return ResponseEntity&lt;OutFile&gt;
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public ResponseEntity<OutFile> getFileByTokenWithHttpInfo(Object body) throws RestClientException {
        Object postBody = body;
        // verify the required parameter 'body' is set
        if (body == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'body' when calling getFileByToken");
        }
        String path = UriComponentsBuilder.fromPath("/getFileByToken").build().toUriString();
        
        final MultiValueMap<String, String> queryParams = new LinkedMultiValueMap<String, String>();
        final HttpHeaders headerParams = new HttpHeaders();
        final MultiValueMap<String, Object> formParams = new LinkedMultiValueMap<String, Object>();

        final String[] accepts = { 
            "application/json"
         };
        final List<MediaType> accept = apiClient.selectHeaderAccept(accepts);
        final String[] contentTypes = { 
            "application/json"
         };
        final MediaType contentType = apiClient.selectHeaderContentType(contentTypes);

        String[] authNames = new String[] { "ApiKeyAuth", "BasicAuth" };

        ParameterizedTypeReference<OutFile> returnType = new ParameterizedTypeReference<OutFile>() {};
        return apiClient.invokeAPI(path, HttpMethod.POST, queryParams, postBody, headerParams, formParams, accept, contentType, authNames, returnType);
    }
    /**
     * getList
     * Request designed to check the status of all requested translation requests, whether synchronous or asynchronous. The results can be filtered using the date of sending the translation order requests, in Zulu format. 
     * <p><b>200</b> - Token return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param projectid Translation project identifier. (required)
     * @param sourcelang Source language code in ISO-639-3 format. (required)
     * @param targetlang Target language code in ISO-639-3 format. (required)
     * @param datecutoff Cut-off date, in the following format: YYYYY-MM-DDTHH:MI:SSZ (UTC or Zulu time). (required)
     * @param options JSON auxiliary options. (optional)
     * @return OutList
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public OutList getList(Integer projectid, String sourcelang, String targetlang, String datecutoff, String options) throws RestClientException {
        return getListWithHttpInfo(projectid, sourcelang, targetlang, datecutoff, options).getBody();
    }

    /**
     * getList
     * Request designed to check the status of all requested translation requests, whether synchronous or asynchronous. The results can be filtered using the date of sending the translation order requests, in Zulu format. 
     * <p><b>200</b> - Token return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param projectid Translation project identifier. (required)
     * @param sourcelang Source language code in ISO-639-3 format. (required)
     * @param targetlang Target language code in ISO-639-3 format. (required)
     * @param datecutoff Cut-off date, in the following format: YYYYY-MM-DDTHH:MI:SSZ (UTC or Zulu time). (required)
     * @param options JSON auxiliary options. (optional)
     * @return ResponseEntity&lt;OutList&gt;
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public ResponseEntity<OutList> getListWithHttpInfo(Integer projectid, String sourcelang, String targetlang, String datecutoff, String options) throws RestClientException {
        Object postBody = null;
        // verify the required parameter 'projectid' is set
        if (projectid == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'projectid' when calling getList");
        }
        // verify the required parameter 'sourcelang' is set
        if (sourcelang == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'sourcelang' when calling getList");
        }
        // verify the required parameter 'targetlang' is set
        if (targetlang == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'targetlang' when calling getList");
        }
        // verify the required parameter 'datecutoff' is set
        if (datecutoff == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'datecutoff' when calling getList");
        }
        String path = UriComponentsBuilder.fromPath("/getList").build().toUriString();
        
        final MultiValueMap<String, String> queryParams = new LinkedMultiValueMap<String, String>();
        final HttpHeaders headerParams = new HttpHeaders();
        final MultiValueMap<String, Object> formParams = new LinkedMultiValueMap<String, Object>();
        queryParams.putAll(apiClient.parameterToMultiValueMap(null, "projectid", projectid));
        queryParams.putAll(apiClient.parameterToMultiValueMap(null, "sourcelang", sourcelang));
        queryParams.putAll(apiClient.parameterToMultiValueMap(null, "targetlang", targetlang));
        queryParams.putAll(apiClient.parameterToMultiValueMap(null, "datecutoff", datecutoff));
        queryParams.putAll(apiClient.parameterToMultiValueMap(null, "options", options));

        final String[] accepts = { 
            "application/json"
         };
        final List<MediaType> accept = apiClient.selectHeaderAccept(accepts);
        final String[] contentTypes = {  };
        final MediaType contentType = apiClient.selectHeaderContentType(contentTypes);

        String[] authNames = new String[] { "ApiKeyAuth", "BasicAuth" };

        ParameterizedTypeReference<OutList> returnType = new ParameterizedTypeReference<OutList>() {};
        return apiClient.invokeAPI(path, HttpMethod.GET, queryParams, postBody, headerParams, formParams, accept, contentType, authNames, returnType);
    }
    /**
     * getFileByToken
     * Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). To ensure that the operation of this method is correct in the event of a GET type request, the token must be encoded in URL format. The status key indicates the translation status. The possible values for asynchronous translations are: - 10: Under review - 20: Ready and pending delivery - 30: Delivered - 40: Deleted - 50: Expired delivery - 90: Documental entry error - 100: Processing error  The &lt;b&gt;filename&lt;/b&gt; key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file. 
     * <p><b>200</b> - File return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>405</b> - Method Not Allowed
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param projectid Translation project identifier. (required)
     * @param token Token resulting from the asynchronous translation request. (required)
     * @param options JSON auxiliary options. (optional)
     * @return OutFile
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public OutFile getgetFileByToken(Integer projectid, String token, String options) throws RestClientException {
        return getgetFileByTokenWithHttpInfo(projectid, token, options).getBody();
    }

    /**
     * getFileByToken
     * Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). To ensure that the operation of this method is correct in the event of a GET type request, the token must be encoded in URL format. The status key indicates the translation status. The possible values for asynchronous translations are: - 10: Under review - 20: Ready and pending delivery - 30: Delivered - 40: Deleted - 50: Expired delivery - 90: Documental entry error - 100: Processing error  The &lt;b&gt;filename&lt;/b&gt; key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file. 
     * <p><b>200</b> - File return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>405</b> - Method Not Allowed
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param projectid Translation project identifier. (required)
     * @param token Token resulting from the asynchronous translation request. (required)
     * @param options JSON auxiliary options. (optional)
     * @return ResponseEntity&lt;OutFile&gt;
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public ResponseEntity<OutFile> getgetFileByTokenWithHttpInfo(Integer projectid, String token, String options) throws RestClientException {
        Object postBody = null;
        // verify the required parameter 'projectid' is set
        if (projectid == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'projectid' when calling getgetFileByToken");
        }
        // verify the required parameter 'token' is set
        if (token == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'token' when calling getgetFileByToken");
        }
        String path = UriComponentsBuilder.fromPath("/getFileByToken").build().toUriString();
        
        final MultiValueMap<String, String> queryParams = new LinkedMultiValueMap<String, String>();
        final HttpHeaders headerParams = new HttpHeaders();
        final MultiValueMap<String, Object> formParams = new LinkedMultiValueMap<String, Object>();
        queryParams.putAll(apiClient.parameterToMultiValueMap(null, "projectid", projectid));
        queryParams.putAll(apiClient.parameterToMultiValueMap(null, "token", token));
        queryParams.putAll(apiClient.parameterToMultiValueMap(null, "options", options));

        final String[] accepts = { 
            "application/json"
         };
        final List<MediaType> accept = apiClient.selectHeaderAccept(accepts);
        final String[] contentTypes = {  };
        final MediaType contentType = apiClient.selectHeaderContentType(contentTypes);

        String[] authNames = new String[] { "ApiKeyAuth", "BasicAuth" };

        ParameterizedTypeReference<OutFile> returnType = new ParameterizedTypeReference<OutFile>() {};
        return apiClient.invokeAPI(path, HttpMethod.GET, queryParams, postBody, headerParams, formParams, accept, contentType, authNames, returnType);
    }
    /**
     * ping
     * Checking that the service is working properly. This method does NOT REQUIRE AUTHENTICATION. 
     * <p><b>200</b> - Successful Response
     * <p><b>400</b> - Bad Request
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @return InlineResponse200
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public InlineResponse200 ping() throws RestClientException {
        return pingWithHttpInfo().getBody();
    }

    /**
     * ping
     * Checking that the service is working properly. This method does NOT REQUIRE AUTHENTICATION. 
     * <p><b>200</b> - Successful Response
     * <p><b>400</b> - Bad Request
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @return ResponseEntity&lt;InlineResponse200&gt;
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public ResponseEntity<InlineResponse200> pingWithHttpInfo() throws RestClientException {
        Object postBody = null;
        String path = UriComponentsBuilder.fromPath("/ping").build().toUriString();
        
        final MultiValueMap<String, String> queryParams = new LinkedMultiValueMap<String, String>();
        final HttpHeaders headerParams = new HttpHeaders();
        final MultiValueMap<String, Object> formParams = new LinkedMultiValueMap<String, Object>();

        final String[] accepts = { 
            "application/json"
         };
        final List<MediaType> accept = apiClient.selectHeaderAccept(accepts);
        final String[] contentTypes = {  };
        final MediaType contentType = apiClient.selectHeaderContentType(contentTypes);

        String[] authNames = new String[] {  };

        ParameterizedTypeReference<InlineResponse200> returnType = new ParameterizedTypeReference<InlineResponse200>() {};
        return apiClient.invokeAPI(path, HttpMethod.GET, queryParams, postBody, headerParams, formParams, accept, contentType, authNames, returnType);
    }
    /**
     * translateAsynchronous
     * An asynchronous translation request is generated, i.e. a review of a translation completed by a professional from the ATLS Global S.L. LSP division. 
     * <p><b>200</b> - Token return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>405</b> - Method Not Allowed
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param body Example of a revised translation (required)
     * @return OutToken
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public OutToken translateAsynchronous(Object body) throws RestClientException {
        return translateAsynchronousWithHttpInfo(body).getBody();
    }

    /**
     * translateAsynchronous
     * An asynchronous translation request is generated, i.e. a review of a translation completed by a professional from the ATLS Global S.L. LSP division. 
     * <p><b>200</b> - Token return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>405</b> - Method Not Allowed
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param body Example of a revised translation (required)
     * @return ResponseEntity&lt;OutToken&gt;
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public ResponseEntity<OutToken> translateAsynchronousWithHttpInfo(Object body) throws RestClientException {
        Object postBody = body;
        // verify the required parameter 'body' is set
        if (body == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'body' when calling translateAsynchronous");
        }
        String path = UriComponentsBuilder.fromPath("/translateAsynchronous").build().toUriString();
        
        final MultiValueMap<String, String> queryParams = new LinkedMultiValueMap<String, String>();
        final HttpHeaders headerParams = new HttpHeaders();
        final MultiValueMap<String, Object> formParams = new LinkedMultiValueMap<String, Object>();

        final String[] accepts = { 
            "application/json"
         };
        final List<MediaType> accept = apiClient.selectHeaderAccept(accepts);
        final String[] contentTypes = { 
            "application/json"
         };
        final MediaType contentType = apiClient.selectHeaderContentType(contentTypes);

        String[] authNames = new String[] { "ApiKeyAuth", "BasicAuth" };

        ParameterizedTypeReference<OutToken> returnType = new ParameterizedTypeReference<OutToken>() {};
        return apiClient.invokeAPI(path, HttpMethod.POST, queryParams, postBody, headerParams, formParams, accept, contentType, authNames, returnType);
    }
    /**
     * translateSynchronous
     * Synchronous (non-human automatic translation) translation order request. After the request, the service returns the file translated into the specified target language. 
     * <p><b>200</b> - File return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>405</b> - Method Not Allowed
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param body Example of synchronous machine translation (required)
     * @return OutFile
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public OutFile translateSynchronous(Object body) throws RestClientException {
        return translateSynchronousWithHttpInfo(body).getBody();
    }

    /**
     * translateSynchronous
     * Synchronous (non-human automatic translation) translation order request. After the request, the service returns the file translated into the specified target language. 
     * <p><b>200</b> - File return
     * <p><b>400</b> - Bad Request
     * <p><b>401</b> - Response of Error Unauthorized
     * <p><b>403</b> - Too Many Requests. Exceeded the rate limit for requests.
     * <p><b>405</b> - Method Not Allowed
     * <p><b>500</b> - Internal Server Error
     * <p><b>503</b> - Service unavaiable
     * @param body Example of synchronous machine translation (required)
     * @return ResponseEntity&lt;OutFile&gt;
     * @throws RestClientException if an error occurs while attempting to invoke the API
     */
    public ResponseEntity<OutFile> translateSynchronousWithHttpInfo(Object body) throws RestClientException {
        Object postBody = body;
        // verify the required parameter 'body' is set
        if (body == null) {
            throw new HttpClientErrorException(HttpStatus.BAD_REQUEST, "Missing the required parameter 'body' when calling translateSynchronous");
        }
        String path = UriComponentsBuilder.fromPath("/translateSynchronous").build().toUriString();
        
        final MultiValueMap<String, String> queryParams = new LinkedMultiValueMap<String, String>();
        final HttpHeaders headerParams = new HttpHeaders();
        final MultiValueMap<String, Object> formParams = new LinkedMultiValueMap<String, Object>();

        final String[] accepts = { 
            "application/json"
         };
        final List<MediaType> accept = apiClient.selectHeaderAccept(accepts);
        final String[] contentTypes = { 
            "application/json"
         };
        final MediaType contentType = apiClient.selectHeaderContentType(contentTypes);

        String[] authNames = new String[] { "ApiKeyAuth", "BasicAuth" };

        ParameterizedTypeReference<OutFile> returnType = new ParameterizedTypeReference<OutFile>() {};
        return apiClient.invokeAPI(path, HttpMethod.POST, queryParams, postBody, headerParams, formParams, accept, contentType, authNames, returnType);
    }
}
